Tenant/Platforms

Get all available project permissions by user

Fetches all available project permissions for a user with optional filters.

GET
/api/v2/projects/available-permissions-by-user/{id}

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*integer

The user ID

Query Parameters

limit?integer

Maximum number of projects to return (pagination limit)

Default30
offset?integer

Offset to start pagination

Default0
name?string

Filter projects by name

permission?string

Filter projects by specific permission

projectTypeId?integer

Filter projects by project type ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/projects/available-permissions-by-user/1?limit=30&offset=0&name=My+Project+Name&permission=Editor&projectTypeId=3"
{  "projects": [    {      "id": 248,      "name": "b2copy",      "projectTypeId": 1,      "projectTypeName": "b2copy",      "availablePermissions": [        "Viewer"      ],      "actions": [        "ProjectUserDelete"      ]    }  ],  "pagination": {    "maxCount": 101  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}